Page MenuHomePhabricator

Expose PDF post-processing scripts as a stateless web service
Closed, InvalidPublic

Description

Expose the HTML concatenation and PDF post-processing scripts to be used by Extension:Collection using the method identified in T171965: [Spike - 8 hours] How should the PDF post-processing script be exposed for use by Extension:Collection.

A/C

Related Objects

StatusSubtypeAssignedTask
ResolvedJKatzWMF
InvalidNone
StalledNone
InvalidNone
DuplicateNone
DeclinedNone
InvalidNone
InvalidNone
Resolvedbmansurov
Invalidovasileva
Resolvedovasileva
ResolvedJdlrobson
Resolvedpmiazga
Resolvedphuedx
Resolvedovasileva
Invalidovasileva
Resolvedphuedx
Resolvedphuedx
ResolvedJdlrobson
InvalidNone
Resolvedovasileva
InvalidNone
InvalidNone
Resolved dpatrick

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2017, 4:19 PM

(Which project is this task about? Collection or Electron-PDFs ?)

Neither, it will be a new project.

ovasileva triaged this task as High priority.Aug 23 2017, 12:56 PM
ovasileva renamed this task from Expose HTML concatenation and PDF post-processing scripts to Expose PDF post-processing scripts.Aug 25 2017, 11:25 AM
ovasileva moved this task from Triage to Needs Analysis on the Proton board.

The service or package is ready to be used by T173015: Use PDF post-processing library to generate final PDF.

@bmansurov, is it worth outlining in the AC what needs to be exposed or is that part of this task?

I think we may decline this task given our plans have changed. Let's leave it as is, and come back to it next quarter.

@ovasileva, should we remove this from upcoming?

Throwing it in needs analysis for now - we can delete this or transform it into a task more representative of the plan

ovasileva moved this task from Needs Analysis to Backlog on the Proton board.Sep 15 2017, 2:27 PM
bmansurov updated the task description. (Show Details)Dec 6 2017, 6:39 PM
bmansurov renamed this task from Expose PDF post-processing scripts to Expose PDF post-processing scripts as a stateless web service.Dec 6 2017, 6:42 PM
ovasileva closed this task as Invalid.Apr 9 2018, 2:47 PM

Closing as per T184772#4116906. Pediapress will be taking on rendering of PDF books.